## ros-indigo-squirrel-common 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(squirrel_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-squirrel-common (0.0.24-0trusty) trusty; urgency=high

  * Merge pull request #175 <https://github.com/squirrel-project/squirrel_common/issues/175> from bajo/viewcontroller
    Add message definitions for new Viewcontroller
  * add messages for view controller
  * Contributors: Markus Bajones, Nadia Hammoudeh García

 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-common (0.0.23-0trusty) trusty; urgency=high

  * fix type error
  * renamed soft_hand_description package to softhand_description
  * necessary fixes as proposed by Nadia
  * Contributors: Philipp Zech, ipa-nhg

 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-common (0.0.22-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.21-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_dev' into indigo_dev
  * added squirrel dynamic filkter msgs
  * Contributors: Ayush Dewan, Federico Boniardi

 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.20-0trusty) trusty; urgency=high

  * cleaning package.xml and CMakeLists
  * Update package.xml
  * Merge pull request #131 <https://github.com/squirrel-project/squirrel_common/issues/131> from federico-b/indigo_dev
    ALUFR: added messages for 3d localization
  * added messages for 3d nav
  * Merge pull request #122 <https://github.com/squirrel-project/squirrel_common/issues/122> from ipa-nhg/Restruc
    package restructuration and clean up
  * package restructuration
  * Contributors: Federico Boniardi, Nadia Hammoudeh García, ipa-nhg, ipa-rmb

 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.19-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.18-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Mon, 09 May 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.17-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Wed, 13 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.16-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.15-0trusty) trusty; urgency=high

  * manual merge resolution
  * Merge remote-tracking branch 'upstream/indigo_dev' into indigo_dev
  * 0.0.4
  * update
  * 0.0.3
  * updated version
  * add CHANGELOG.rst
  * squirrel waypoints package and manipulation service
  * Contributors: Philipp Zech, buildbot-squirrel, m312z

 -- michael <michael.cashmore@kcl.ac.uk>  Sat, 09 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.14-0trusty) trusty; urgency=high

  * Merge pull request #104 <https://github.com/squirrel-project/squirrel_common/issues/104> from squirrel-project/indigo_dev
    Update
  * fixed strings
    added hri_msgs to meta package
  * Contributors: Nadia Hammoudeh García, mzillich

 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 05 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-common (0.0.13-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 01 Mar 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.12-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 23 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.11-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.10-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.9-0trusty) trusty; urgency=high

  * Merge github.com:ipa-nhg/squirrel_common into indigo_dev
    Conflicts:
    squirrel_common/package.xml
  * Update package.xml
  * Contributors: Nadia Hammoudeh García, ipa-nhg

 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 16 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.8-0trusty) trusty; urgency=high

  * Merge pull request #83 <https://github.com/squirrel-project/squirrel_common/issues/83> from squirrel-project/indigo_dev
    update release
  * removed actionlib and rospy from waypoint package
  * Contributors: Edith Langer, Nadia Hammoudeh García

 -- michael <michael.cashmore@kcl.ac.uk>  Wed, 03 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.7-0trusty) trusty; urgency=high

  * Merge pull request #80 <https://github.com/squirrel-project/squirrel_common/issues/80> from squirrel-project/indigo_dev
    update release
  * Added Messages for Speech Recognition
  * Contributors: Florian, Nadia Hammoudeh García

 -- michael <michael.cashmore@kcl.ac.uk>  Mon, 01 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.6-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 31 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.4-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.3-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.2-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-common (0.0.1-0trusty) trusty; urgency=high

  * clean package.xml
  * added squirrel_prediction_msgs package
  * Update package.xml
  * merge
  * merge
  * renamed repository
  * Contributors: Michael Cashmore, Richard Bormann, ipa-nhg

 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 15 Dec 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-squirrel-common
Section: misc
Priority: extra
Maintainer: Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-squirrel-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-robotino-description, ros-indigo-robotino-msgs, ros-indigo-softhand.description, ros-indigo-squirrel-3d-localizer-msgs, ros-indigo-squirrel-3d-mapping-msgs, ros-indigo-squirrel-dynamic-filter-msgs, ros-indigo-squirrel-hri-msgs, ros-indigo-squirrel-kclhand-msgs, ros-indigo-squirrel-localizer-msgs, ros-indigo-squirrel-manipulation-msgs, ros-indigo-squirrel-mhand-msgs, ros-indigo-squirrel-navigation-msgs, ros-indigo-squirrel-object-perception-msgs, ros-indigo-squirrel-person-tracker-msgs, ros-indigo-squirrel-planning-knowledge-msgs, ros-indigo-squirrel-prediction-msgs, ros-indigo-squirrel-rgbd-mapping-msgs, ros-indigo-squirrel-sketch-interface-msgs, ros-indigo-squirrel-speech-msgs, ros-indigo-squirrel-vad-msgs, ros-indigo-squirrel-view-controller-msgs, ros-indigo-squirrel-waypoint-msgs
Description: Definitions for mesages, services and actions.
 Startup packages for the robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-squirrel-common//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
